Subject: Re: How best to handle multiple-authorship commits in GIT?

From: David Howells <[email-masked]>
Date: Fri, 03 Feb 2012 13:47:00 +0000

Valerie Aurora <[email-masked]> wrote:

> And for a complete (meaningful) rewrite such as David has done, he
> changes the commit authorship and adds a Signed-off-by for the
> original author.

Val[*] hasn't signed off all her patches, and indeed I've merged together some
patches that she has signed off and some she hasn't.  I can't simply add
Signed-off-by her without her permission.  However, if she's willing for me to
add such lines, then I can do so.

> Signed-off-by: Some Upstream Author
> Signed-off-by: Maintainer or Merger (rewrote error handling)

And if the changes are more than can be put in what's left of the line?  I
would've thought it would make more sense to do something like:

  Signed-off-by: Valerie Aurora <[email-masked]> (Original author)
  Signed-off-by: David Howells <[email-masked]> (Further development)

David

[*] Apologies for talking about/to you in the third person, Val.